@import "variables";
@import "functions";
@import "mixins";

.orders {
  .order {
    margin-bottom: 40px;
    border-bottom: 1px solid gray("400");

    &.sent {
      .state {
        background-color: gray("200");
      }
      .meals {
        border-color: gray("200");
      }
    }

    &.accepted {
      .state {
        background-color: theme-color("primary");
      }
      .meals {
        border-color: theme-color("primary");
      }
    }

    &.delivered {
      .state {
        background-color: $sucess;
      }
      .meals {
        border-color: $sucess;
      }
    }

    &.rejected {
      .state {
        background-color: $error;
      }
      .meals {
        border-color: $error;
      }
    }

    .main {
      height: 65px;
      cursor: pointer;
      transition: $transition;
      @include flex-row(center);

      &:hover {
        background-color: gray("700");
      }

      .state {
        width: 65px;
        height: 65px;
        line-height: 65px;
        text-align: center;
        font-size: 20px;
        font-weight: $font-weight-semibold;
        color: $body-background;
      }

      .date {
        margin-left: 15px;
        font-size: 18px;
        font-weight: $font-weight-semibold;
      }

      .price {
        margin-left: auto;
        margin-right: 2px;
        font-size: 18px;
        font-weight: $font-weight-semibold;
      }
    }

    .meals {
      border-left: 2px solid;
      padding: 20px;
      display: none;
      font-size: 17px;

      strong {
        color: theme-color("secondary");
        margin-right: 5px;
        font-weight: $font-weight-normal;
      }
    }
  }
}